> ## Documentation Index
> Fetch the complete documentation index at: https://leadping.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List business lead segmentation tags

> Lists tags for the current business, optionally including archived tags, for lead segmentation, filters, and routing labels.



## OpenAPI

````yaml /openapi.json get /tags
openapi: 3.0.4
info:
  title: Leadping API
  description: >-
    Leadping API for lead intake, messaging, calling, automations, billing,
    business settings, and compliant lead communication workflows.
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  version: v1
servers:
  - url: https://api.leadping.ai
    description: Production
security: []
tags:
  - name: Analytics
  - name: Automations
  - name: Contact
  - name: Conversations
  - name: Dispositions
  - name: Feedback
  - name: Leads
  - name: LeadStatuses
  - name: Notifications
  - name: OutboundDelivery
  - name: Sources
  - name: Suppressions
  - name: Tags
  - name: Users
  - name: Calls
  - name: PhoneNumbers
  - name: Sms
  - name: Telephony
  - name: UserDataExports
  - name: CallEvents
  - name: Events
  - name: SmsEvents
  - name: Businesses
  - name: PaymentMethods
  - name: Transactions
  - name: Usage
  - name: Wallets
paths:
  /tags:
    get:
      tags:
        - Tags
      summary: List business lead segmentation tags
      description: >-
        Lists tags for the current business, optionally including archived tags,
        for lead segmentation, filters, and routing labels.
      operationId: Tags_GetAllForCurrentBusiness
      parameters:
        - name: includeArchived
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  allOf:
                    - $ref: '#/components/schemas/TagResponse'
                  description: >-
                    Response schema for the Leadping API tag response returned
                    to authenticated clients.
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    TagResponse:
      type: object
      properties:
        businessId:
          type: string
          description: Business ID that owns this tag.
          nullable: true
        name:
          type: string
          description: Display name for this tag response in the Leadping API.
        normalizedName:
          type: string
          description: >-
            Normalized name used for case-insensitive tag matching and
            deduplication.
        color:
          type: string
          description: Hex color used to display this tag or status in Leadping clients.
          nullable: true
        description:
          type: string
          description: >-
            Human-readable description that explains this tag response to API
            users.
          nullable: true
        createdByUserId:
          type: string
          description: User ID of the person who created this tag response.
          nullable: true
        isArchived:
          type: boolean
          description: Indicates whether this lead or record is archived.
        archivedAt:
          type: string
          description: UTC timestamp when this record was archived.
          format: date-time
          nullable: true
        id:
          type: string
          description: The unique identifier for the entity.
        createdAt:
          type: string
          description: The date and time when the entity was created.
          format: date-time
        modifiedAt:
          type: string
          description: The date and time when the entity was last modified, if applicable.
          format: date-time
          nullable: true
      description: >-
        Response schema for the Leadping API tag response returned to
        authenticated clients.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          description: URI reference that identifies the problem type.
          nullable: true
        title:
          type: string
          description: Short, human-readable summary of the problem.
          nullable: true
        status:
          pattern: ^-?(?:0|[1-9]\d*)$
          description: HTTP status code returned for the problem.
          format: int32
          nullable: true
        detail:
          type: string
          description: >-
            Human-readable explanation specific to this occurrence of the
            problem.
          nullable: true
        instance:
          type: string
          description: >-
            URI reference that identifies this specific occurrence of the
            problem.
          nullable: true

````